> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 고정 리스트 개요

> 고정 리스트 엔드포인트로 시작하기

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

고정된 리스트 엔드포인트를 사용하면 사용자의 고정된 리스트를 조회하고 어떤 리스트를 고정할지 관리할 수 있습니다.

<Note>
  **사전 준비사항**

  시작하기 전에 다음이 필요합니다.

  * 승인이 완료된 App이 연결된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 사용자 액세스 토큰(User Access Token, OAuth 1.0a 또는 OAuth 2.0 PKCE)
</Note>

***

<div id="available-endpoints">
  ## 사용 가능한 엔드포인트
</div>

<CardGroup cols={2}>
  <Card title="고정 리스트 조회" icon="thumbtack" href="/ko/x-api/lists/pinned-lists/quickstart/pinned-list-lookup">
    내 고정 리스트 가져오기
  </Card>

  <Card title="고정 리스트 관리" icon="pin" href="/ko/x-api/lists/pinned-lists/quickstart/manage-pinned-lists">
    리스트 고정 및 해제
  </Card>
</CardGroup>

***

<div id="authentication">
  ## 인증
</div>

| Operation  | Authentication               |
| :--------- | :--------------------------- |
| 고정된 리스트 조회 | OAuth 1.0a 또는 OAuth 2.0 PKCE |
| 리스트 고정/해제  | OAuth 1.0a 또는 OAuth 2.0 PKCE |

<Warning>
  조회 및 관리 작업 모두 사용자 컨텍스트 인증이 필요합니다. App 전용 Bearer 토큰 인증은 지원되지 않습니다.
</Warning>

***

<div id="quick-example">
  ## 간단한 예시
</div>

<CodeGroup dropdown>
  ```bash cURL theme={null}
  # 고정된 리스트 조회
  curl "https://api.x.com/2/users/2244994945/pinned_lists" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

  # 고정된 리스트 조회
  response = client.lists.get_pinned("2244994945")

  for lst in response.data:
      print(f"{lst.name}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

  // 고정된 리스트 조회
  const response = await client.lists.getPinned("2244994945");

  response.data?.forEach((lst) => {
    console.log(lst.name);
  });
  ```
</CodeGroup>

***

<div id="next-steps">
  ## 다음 단계
</div>

<CardGroup cols={2}>
  <Card title="리스트 조회" icon="list" href="/ko/x-api/lists/list-lookup/quickstart">
    리스트 상세 정보 가져오기
  </Card>

  <Card title="리스트 관리" icon="pen" href="/ko/x-api/lists/manage-lists/quickstart">
    리스트 생성 및 수정
  </Card>
</CardGroup>
